# Uses of Interface
com.google.protobuf.DescriptorProtos.FileDescriptorProtoOrBuilder

Packages that use DescriptorProtos.FileDescriptorProtoOrBuilder
Package
Description
com.google.protobuf
com.google.protobuf.compiler

## Uses of DescriptorProtos.FileDescriptorProtoOrBuilder in com.google.protobuf

Classes in com.google.protobuf that implement DescriptorProtos.FileDescriptorProtoOrBuilder
Modifier and Type
Class
Description
`static final class`
`DescriptorProtos.FileDescriptorProto`
Protobuf type `google.protobuf.FileDescriptorProto`
`static final class`
`DescriptorProtos.FileDescriptorProto.Builder`
Protobuf type `google.protobuf.FileDescriptorProto`
Methods in com.google.protobuf that return DescriptorProtos.FileDescriptorProtoOrBuilder
Modifier and Type
Method
Description
`DescriptorProtos.FileDescriptorProtoOrBuilder`
DescriptorProtos.FileDescriptorSet.Builder.`getFileOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
DescriptorProtos.FileDescriptorSet.`getFileOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
DescriptorProtos.FileDescriptorSetOrBuilder.`getFileOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FileDescriptorProtoOrBuilder
Modifier and Type
Method
Description
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
DescriptorProtos.FileDescriptorSet.Builder.`getFileOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
DescriptorProtos.FileDescriptorSet.`getFileOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
DescriptorProtos.FileDescriptorSetOrBuilder.`getFileOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto file = 1 [json_name = "file"];`

## Uses of DescriptorProtos.FileDescriptorProtoOrBuilder in com.google.protobuf.compiler

Methods in com.google.protobuf.compiler that return DescriptorProtos.FileDescriptorProtoOrBuilder
Modifier and Type
Method
Description
`DescriptorProtos.FileDescriptorProtoOrBuilder`
PluginProtos.CodeGeneratorRequest.Builder.`getProtoFileOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
PluginProtos.CodeGeneratorRequest.`getProtoFileOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
PluginProtos.CodeGeneratorRequestOrBuilder.`getProtoFileOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
Methods in com.google.protobuf.compiler that return types with arguments of type DescriptorProtos.FileDescriptorProtoOrBuilder
Modifier and Type
Method
Description
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
PluginProtos.CodeGeneratorRequest.Builder.`getProtoFileOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
PluginProtos.CodeGeneratorRequest.`getProtoFileOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
PluginProtos.CodeGeneratorRequestOrBuilder.`getProtoFileOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`